Download it now!
Bug 123058 - VCL=qt5 filesaver doesn't add extension with checkbox checked
Summary: VCL=qt5 filesaver doesn't add extension with checkbox checked
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.2 rc
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-01-30 16:17 UTC by Hans P. Möller
Modified: 2019-04-16 08:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans P. Möller 2019-01-30 16:17:10 UTC
Description:
When using LO 6.2 with VCL=qt5 the file save dialog has the option to add extension, but it doesn't add it.


Steps to Reproduce:
1. Start libreoffice with VCL=qt5
2. Try to save a new file with add extension checkbox checked
3. New file won't have extension

Actual Results:
Saved file doesn't had the extension

Expected Results:
Saved file should have the extension


Reproducible: Always


User Profile Reset: Yes



Additional Info:
discuss previously in https://bugs.documentfoundation.org/show_bug.cgi?id=122752
Comment 1 Michael Weghorn 2019-01-31 21:59:44 UTC
Confirmed, s. bug 122752.
Comment 2 Michael Weghorn 2019-02-05 10:02:56 UTC
Change in gerrit: https://gerrit.libreoffice.org/#/c/67392/
Comment 3 Commit Notification 2019-02-05 15:13:29 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9a6818bd73198e6dba3414579a35db6e87dbeb66%5E%21

tdf#123058 qt5 fpicker: Honor autoextension setting

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-04-16 08:48:24 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/0eeb3ef5816084afb96f5803375e6a3a1dd89400%5E%21

tdf#123058 qt5 fpicker: Honor autoextension setting

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.